Packages
Part of the Inventory API. Base URL https://your-domain.com/admin/api/v1 — replace the host with your own installation and the token placeholder with a real Bearer token (see Authentication).
List packages
GET/admin/api/v1/inventories/packagesRetrieve a paginated list of packages with filtering and sorting
🔒 Requires a valid Bearer token.
Query parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
include | string | No | Comma-separated list of relationships to include. Available options: packageType, location, company, creator, operations, moves, moveLines | packageType,location |
filter[id] | string | No | Comma-separated list of IDs to filter by | architecto |
filter[name] | string | No | Filter by package name | PACK |
filter[package_type_id] | string | No | Filter by package type IDs | architecto |
filter[location_id] | string | No | Filter by location IDs | architecto |
filter[company_id] | string | No | Filter by company IDs | architecto |
sort | string | No | Sort field | -created_at |
bash
curl -X GET "https://your-domain.com/admin/api/v1/inventories/packages?include=packageType%2Clocation&filter%5Bid%5D=architecto&filter%5Bname%5D=PACK&filter%5Bpackage_type_id%5D=architecto&filter%5Blocation_id%5D=architecto&filter%5Bcompany_id%5D=architecto&sort=-created_at" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"javascript
const response = await fetch("https://your-domain.com/admin/api/v1/inventories/packages?include=packageType%2Clocation&filter%5Bid%5D=architecto&filter%5Bname%5D=PACK&filter%5Bpackage_type_id%5D=architecto&filter%5Blocation_id%5D=architecto&filter%5Bcompany_id%5D=architecto&sort=-created_at", {
method: "GET",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);php
<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-domain.com/admin/api/v1/inventories/packages?include=packageType%2Clocation&filter%5Bid%5D=architecto&filter%5Bname%5D=PACK&filter%5Bpackage_type_id%5D=architecto&filter%5Blocation_id%5D=architecto&filter%5Bcompany_id%5D=architecto&sort=-created_at', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);python
import requests
url = "https://your-domain.com/admin/api/v1/inventories/packages?include=packageType%2Clocation&filter%5Bid%5D=architecto&filter%5Bname%5D=PACK&filter%5Bpackage_type_id%5D=architecto&filter%5Blocation_id%5D=architecto&filter%5Bcompany_id%5D=architecto&sort=-created_at"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
data = response.json()
print(data)Example response 200
json
{
"data": [
{
"id": null,
"name": "PKG-449171",
"package_use": "reusable",
"pack_date": "2026-10-12T00:00:00.000000Z",
"created_at": null,
"updated_at": null
},
{
"id": null,
"name": "PKG-970575",
"package_use": "reusable",
"pack_date": "2026-10-12T00:00:00.000000Z",
"created_at": null,
"updated_at": null
}
],
"links": {
"first": "/?page=1",
"last": "/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"page": null,
"active": false
},
{
"url": "/?page=1",
"label": "1",
"page": 1,
"active": true
},
{
"url": null,
"label": "Next »",
"page": null,
"active": false
}
],
"path": "/",
"per_page": 10,
"to": 2,
"total": 2
}
}Error response — 401
json
{
"message": "Unauthenticated."
}Create package
POST/admin/api/v1/inventories/packagesCreate a new package
🔒 Requires a valid Bearer token.
Body parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
name | string | Yes | Package name/reference. Must not be greater than 255 characters. |
package_type_id | integer | No | Package type ID. Must match an existing stored value. |
pack_date | string | No | Pack date. Must be a valid date. |
location_id | integer | No | Current location ID. Must match an existing stored value. |
bash
curl -X POST "https://your-domain.com/admin/api/v1/inventories/packages" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "PACK-0001",
"package_type_id": 1,
"pack_date": "2026-02-19",
"location_id": 3
}'javascript
const response = await fetch("https://your-domain.com/admin/api/v1/inventories/packages", {
method: "POST",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
body: JSON.stringify({
"name": "PACK-0001",
"package_type_id": 1,
"pack_date": "2026-02-19",
"location_id": 3
}),
});
const data = await response.json();
console.log(data);php
<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-domain.com/admin/api/v1/inventories/packages', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
'json' => [
'name' => 'PACK-0001',
'package_type_id' => 1,
'pack_date' => '2026-02-19',
'location_id' => 3,
],
]);
$data = json_decode($response->getBody(), true);python
import requests
url = "https://your-domain.com/admin/api/v1/inventories/packages"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
payload = {
"name": "PACK-0001",
"package_type_id": 1,
"pack_date": "2026-02-19",
"location_id": 3,
}
response = requests.post(url, headers=headers, json=payload)
data = response.json()
print(data)Example response 201
json
{
"data": {
"id": null,
"name": "PKG-569775",
"package_use": "reusable",
"pack_date": "2026-10-12T00:00:00.000000Z",
"created_at": null,
"updated_at": null
},
"message": "Package created successfully."
}Error response — 401
json
{
"message": "Unauthenticated."
}Show package
GET/admin/api/v1/inventories/packages/{id}Retrieve a specific package by ID
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The package ID |
Query parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
include | string | No | Comma-separated list of relationships to include. Available options: packageType, location, company, creator, operations, moves, moveLines | packageType,location |
bash
curl -X GET "https://your-domain.com/admin/api/v1/inventories/packages/{id}?include=packageType%2Clocation" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"javascript
const response = await fetch("https://your-domain.com/admin/api/v1/inventories/packages/{id}?include=packageType%2Clocation", {
method: "GET",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);php
<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-domain.com/admin/api/v1/inventories/packages/{id}?include=packageType%2Clocation', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);python
import requests
url = "https://your-domain.com/admin/api/v1/inventories/packages/{id}?include=packageType%2Clocation"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
data = response.json()
print(data)Example response 200
json
{
"data": {
"id": null,
"name": "PKG-757680",
"package_use": "reusable",
"pack_date": "2026-10-12T00:00:00.000000Z",
"created_at": null,
"updated_at": null
}
}Error response — 401
json
{
"message": "Unauthenticated."
}Update package
PUT/admin/api/v1/inventories/packages/{id}Update an existing package
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The package ID |
Body parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
name | string | No | Package name/reference. Must not be greater than 255 characters. |
package_type_id | integer | No | Package type ID. Must match an existing stored value. |
pack_date | string | No | Pack date. Must be a valid date. |
location_id | integer | No | Current location ID. Must match an existing stored value. |
bash
curl -X PUT "https://your-domain.com/admin/api/v1/inventories/packages/{id}" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "PACK-0001",
"package_type_id": 1,
"pack_date": "2026-02-19",
"location_id": 3
}'javascript
const response = await fetch("https://your-domain.com/admin/api/v1/inventories/packages/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
body: JSON.stringify({
"name": "PACK-0001",
"package_type_id": 1,
"pack_date": "2026-02-19",
"location_id": 3
}),
});
const data = await response.json();
console.log(data);php
<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-domain.com/admin/api/v1/inventories/packages/{id}', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
'json' => [
'name' => 'PACK-0001',
'package_type_id' => 1,
'pack_date' => '2026-02-19',
'location_id' => 3,
],
]);
$data = json_decode($response->getBody(), true);python
import requests
url = "https://your-domain.com/admin/api/v1/inventories/packages/{id}"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
payload = {
"name": "PACK-0001",
"package_type_id": 1,
"pack_date": "2026-02-19",
"location_id": 3,
}
response = requests.put(url, headers=headers, json=payload)
data = response.json()
print(data)Example response 200
json
{
"data": {
"id": null,
"name": "PKG-936806",
"package_use": "reusable",
"pack_date": "2026-10-12T00:00:00.000000Z",
"created_at": null,
"updated_at": null
},
"message": "Package updated successfully."
}Error response — 401
json
{
"message": "Unauthenticated."
}Delete package
DELETE/admin/api/v1/inventories/packages/{id}Delete a package
🔒 Requires a valid Bearer token.
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The package ID |
bash
curl -X DELETE "https://your-domain.com/admin/api/v1/inventories/packages/{id}" \
-H "Authorization: Bearer {YOUR_AUTH_TOKEN}" \
-H "Accept: application/json" \
-H "Content-Type: application/json"javascript
const response = await fetch("https://your-domain.com/admin/api/v1/inventories/packages/{id}", {
method: "DELETE",
headers: {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);php
<?php
$client = new \GuzzleHttp\Client();
$response = $client->request('DELETE', 'https://your-domain.com/admin/api/v1/inventories/packages/{id}', [
'headers' => [
'Authorization' => 'Bearer {YOUR_AUTH_TOKEN}',
'Accept' => 'application/json',
'Content-Type' => 'application/json',
],
]);
$data = json_decode($response->getBody(), true);python
import requests
url = "https://your-domain.com/admin/api/v1/inventories/packages/{id}"
headers = {
"Authorization": "Bearer {YOUR_AUTH_TOKEN}",
"Accept": "application/json",
"Content-Type": "application/json",
}
response = requests.delete(url, headers=headers)
data = response.json()
print(data)Example response 200
json
{
"message": "Package deleted successfully."
}Error response — 401
json
{
"message": "Unauthenticated."
}